Bug 1296901 - (mcnetic/zipstreamer) Review Request: php-mcnetic-zipstreamer - Stream zip files without i/o overhead
Review Request: php-mcnetic-zipstreamer - Stream zip files without i/o overhead
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1262185
  Show dependency treegraph
 
Reported: 2016-01-08 06:26 EST by Remi Collet
Modified: 2016-02-14 19:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-01 19:53:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo-full.log (11.33 KB, text/plain)
2016-01-20 01:33 EST, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (7.36 KB, text/plain)
2016-01-20 01:34 EST, Shawn Iwinski
no flags Details
fedora-review.txt (7.39 KB, text/plain)
2016-01-20 01:34 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2016-01-08 06:26:45 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/22d5f18c5b41c7d4792b54dc112cf8027cc26cdc/php/php-mcnetic-zipstreamer/php-mcnetic-zipstreamer.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-mcnetic-zipstreamer-1.7-1.remi.src.rpm
Description: 
Simple Class to create zip files on the fly and stream directly to the
HTTP client as the content is added (without using temporary files).

Autoloader: /usr/share/php/ZipStreamer/autoload.php


Fedora Account System Username: remi

--
Notices:
- Dependency of owncloud.
- as usually, I will cleanup EL-5 stuff after import.
Comment 1 James Hogarth 2016-01-08 07:00:45 EST
I'm happy to take this for review - especially since it has a direct impact on my owncloud work.
Comment 2 Upstream Release Monitoring 2016-01-08 07:23:56 EST
remi's scratch build of php-mcnetic-zipstreamer-1.7-1.remi.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12465663
Comment 3 Upstream Release Monitoring 2016-01-08 07:52:48 EST
remi's scratch build of php-mcnetic-zipstreamer-1.7-2.remi.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12465855
Comment 4 Remi Collet 2016-01-08 07:55:30 EST
It seems this library is not really clean... :(

We have to ignore test on i386/arm for now.

At least, another proof that unbundling is useful ;)


Spec: https://raw.githubusercontent.com/remicollet/remirepo/94ad2fa705b18be2d1fd223c6b9a44289f0ab032/php/php-mcnetic-zipstreamer/php-mcnetic-zipstreamer.spec
Srpm: http://rpms.famillecollet.com/SRPMS/php-mcnetic-zipstreamer-1.7-2.remi.src.rpm
Comment 5 Shawn Iwinski 2016-01-20 01:33:06 EST
James -- Hopefully you won't mind me taking this review? I did the review before realizing you had initially took it.
Comment 6 Shawn Iwinski 2016-01-20 01:33 EST
Created attachment 1116504 [details]
phpcompatinfo-full.log

phpCompatInfo version 4.5.2 DB built Nov 26 2015 14:29:15 CET
Comment 7 Shawn Iwinski 2016-01-20 01:34 EST
Created attachment 1116505 [details]
phpcompatinfo-lib.log

phpCompatInfo version 4.5.2 DB built Nov 26 2015 14:29:15 CET
Comment 8 Shawn Iwinski 2016-01-20 01:34 EST
Created attachment 1116506 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1296901
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 9 Shawn Iwinski 2016-01-20 01:35:05 EST
[!]: Latest version is packaged.

     Latest version is 0.7, not 1.7
Comment 11 Shawn Iwinski 2016-01-20 01:50:15 EST
[x]: Latest version is packaged.



[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import



No blockers.

===== APPROVED =====
Comment 12 Gwyn Ciesla 2016-01-20 09:19:57 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/php-mcnetic-zipstreamer
Comment 13 Fedora Update System 2016-01-20 12:15:23 EST
php-mcnetic-zipstreamer-0.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f2107c60da
Comment 14 Fedora Update System 2016-01-20 12:15:23 EST
php-mcnetic-zipstreamer-0.7-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-20a57d7c40
Comment 15 Fedora Update System 2016-01-20 12:15:29 EST
php-mcnetic-zipstreamer-0.7-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-76e744099f
Comment 16 Fedora Update System 2016-01-21 23:59:07 EST
php-mcnetic-zipstreamer-0.7-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-20a57d7c40
Comment 17 Fedora Update System 2016-01-22 02:56:21 EST
php-mcnetic-zipstreamer-0.7-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f2107c60da
Comment 18 Fedora Update System 2016-01-23 16:30:42 EST
php-mcnetic-zipstreamer-0.7-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-76e744099f
Comment 19 Fedora Update System 2016-02-01 19:53:55 EST
php-mcnetic-zipstreamer-0.7-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2016-02-02 00:49:55 EST
php-mcnetic-zipstreamer-0.7-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2016-02-14 19:57:03 EST
php-mcnetic-zipstreamer-0.7-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.